package com.qianhe.mapper;

import java.util.List;
import com.qianhe.domain.SjFybpWh;

/**
 * 三基-费用维护Mapper接口
 * 
 * @author qianhe
 * @date 2024-07-05
 */
public interface SjFybpWhMapper 
{
    /**
     * 查询三基-费用维护
     * 
     * @param id 三基-费用维护主键
     * @return 三基-费用维护
     */
    public SjFybpWh selectSjFybpWhById(Long id);

    /**
     * 查询三基-费用维护列表
     * 
     * @param sjFybpWh 三基-费用维护
     * @return 三基-费用维护集合
     */
    public List<SjFybpWh> selectSjFybpWhList(SjFybpWh sjFybpWh);

    /**
     * 新增三基-费用维护
     * 
     * @param sjFybpWh 三基-费用维护
     * @return 结果
     */
    public int insertSjFybpWh(SjFybpWh sjFybpWh);

    /**
     * 修改三基-费用维护
     * 
     * @param sjFybpWh 三基-费用维护
     * @return 结果
     */
    public int updateSjFybpWh(SjFybpWh sjFybpWh);

    /**
     * 删除三基-费用维护
     * 
     * @param id 三基-费用维护主键
     * @return 结果
     */
    public int deleteSjFybpWhById(Long id);

    /**
     * 批量删除三基-费用维护
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjFybpWhByIds(Long[] ids);
}
